[Match]
Name=wg0

[Network]
Address={{ wireguard_local_ip_address }}/32
{% if wireguard_interface_dns_servers is defined %}
{% for wireguard_interface_dns_server in wireguard_interface_dns_servers %}
DNS={{ wireguard_interface_dns_server }}
{% endfor %}
{% endif %}
{% if wireguard_interface_dns_search_domain is defined %}
Domains={{ wireguard_interface_dns_search_domain }}
{% endif %}

{% if wireguard_interface_routes is defined %}
{% for wireguard_interface_route in wireguard_interface_routes %}
[Route]
Destination={{ wireguard_interface_route }}
Scope=link

{% endfor %}
{% endif %}